@echo off
setlocal
call setupCmdLine.bat

set WAR-FILENAME=%1
set WEBAPP-DEST=%2
set ADMIN-NODE=%3
set NODE=%4
set SERVER=%5
set SERVLET-ENGINE=%6
set VHOST=%7
set WEBAPP-PATH=%8
set WEBAPP-NAME=%9
shift;
set BOOTSTRAP_HOST=%9
shift;
set BOOTSTRAP_PORT=%9

if "%WAR-FILENAME%"=="" goto error
if "%WEBAPP-DEST%"=="" goto error
if "%ADMIN-NODE%"=="" goto error
if "%NODE%"=="" goto error
if %SERVER%=="" goto error
if %SERVLET-ENGINE%=="" goto error
if "%VHOST%"=="" goto error
if "%WEBAPP-PATH%"=="" goto error
if "%WEBAPP-NAME%"=="" goto error
if "%BOOTSTRAP_HOST%"=="" goto set_bootstrap

:exec
%JAVA_HOME%\bin\java -classpath %WAS_HOME%\lib\ant.jar;%WAS_HOME%\lib\ibmant.jar;%WAS_HOME%\lib\antxalan_1_1.jar;%WAS_HOME%\lib\xerces.jar org.apache.tools.ant.Main -buildfile %WAS_HOME%\properties\convertwar.xml -Dwar.filename=%WAR-FILENAME% -Dwebapp.dest=%WEBAPP-DEST% -Dadmin.node.name=%ADMIN-NODE% -Dnode.name=%NODE% -Dserver.name=%SERVER% -Dservlet.engine.name=%SERVLET-ENGINE% -Dwas.home=%WAS_HOME% -Dvirtual.host.name=%VHOST% -Droot.uri=%VHOST%/%WEBAPP-PATH% -Dwebapp.name=%WEBAPP-NAME% -Dant.home=%WAS_HOME% -Dbootstrap.host=%BOOTSTRAP_HOST% -Dbootstrap.port=%BOOTSTRAP_PORT% -Dwas.java.name=%JAVA_HOME%\bin\java run.xmlconfig
goto exit

:set_bootstrap
set BOOTSTRAP_HOST=%ADMIN-NODE%
set BOOTSTRAP_PORT=900
goto exec

:error
echo wartoxmlconfig syntax :
echo wartoxmlconfig [war filename] [webapp destination] [admin node] [node] [server] [servlet engine] [virtual host] [webapp path] [webapp name]

:exit
endlocal
